Foxit PDF SDK

Instance Methods | Properties | List of all members
FSIdentityProperties Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithCorporation:email:login_name:name:first_name:last_name:title:department:
| Constructor, with parameters. More...
(id) | - initWithId_properities:
| Constructor, with another identity properties object. More...
(void) | - set:email:login_name:name:first_name:last_name:title:department:
| Set values. More...

## Properties
NSString * | corporation
| The corporation name.
NSString * | department
| The department name.
NSString * | email
| The email address.
NSString * | first_name
| The user first name.
NSString * | last_name
| The user last name.
NSString * | login_name
| The login name. Usually, this is the name used to log in current operating system.
NSString * | name
| The user name.
NSString * | title
| The user title.

## Detailed Description

This class represents identity properties of current user, and is used for callback function FSActionCallback::getIdentityProperties.

## Method Documentation

## ◆ initWithCorporation:email:login_name:name:first_name:last_name:title:department:()

- (id) initWithCorporation: |  | (NSString *) | corporation
email: |  | (NSString *) | email
login_name: |  | (NSString *) | login_name
name: |  | (NSString *) | name
first_name: |  | (NSString *) | first_name
last_name: |  | (NSString *) | last_name
title: |  | (NSString *) | title
department: |  | (NSString *) | department

Constructor, with parameters.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The user last name.
  [in] | title | The user title.
  [in] | department | The department name.

## ◆ initWithId_properities:()

- (id) initWithId_properities: |  | (FSIdentityProperties*) | id_properities |

Constructor, with another identity properties object.

Parameters

  [in] | id_properities | Another identity properties object.

## ◆ set:email:login_name:name:first_name:last_name:title:department:()

- (void) set: |  | (NSString *) | corporation
email: |  | (NSString *) | email
login_name: |  | (NSString *) | login_name
name: |  | (NSString *) | name
first_name: |  | (NSString *) | first_name
last_name: |  | (NSString *) | last_name
title: |  | (NSString *) | title
department: |  | (NSString *) | department

Set values.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The uesr last name.
  [in] | title | The user title.
  [in] | department | The department name.

Returns
  None.